# FdoIConnection Class Reference

`#include <IConnection.h>`

Inheritance diagram for FdoIConnection:

[legend]

List of all members.

## Detailed Description

The FdoIConnection interface enables a feature provider to implement a connection class, which represents a unique session with a data store.

Definition at line 53 of file IConnection.h.

## Public Member Functions
virtual FDO_API FdoITransaction * | BeginTransaction ()=0
| Begins a transaction and returns an object that realizes FdoITransaction.
virtual FDO_API void | Close ()=0
| Closes the connection to the DataStore.
virtual FDO_API FdoICommand * | CreateCommand (FdoInt32 commandType)=0
| Creates and returns the specified type of command object associated with the connection.
virtual FDO_API FdoPhysicalSchemaMapping * | CreateSchemaMapping ()=0
| Factory function that creates an empty Schema Override set specific to this FDO Provider.
virtual FDO_API void | Flush ()=0
| Forces the writes of any cached data to the targed datastore.
virtual FDO_API FdoICommandCapabilities * | GetCommandCapabilities ()=0
| Gets an FdoICommandCapabilities interface describing the commands a provider supports.
virtual FDO_API FdoIConnectionCapabilities * | GetConnectionCapabilities ()=0
| Gets an FdoIConnectionCapabilities interface describing the capabilities of the connection.
virtual FDO_API FdoIConnectionInfo * | GetConnectionInfo ()=0
| Gets an FdoIConnectionInfo interface that can be used to interrogate and set connection properties.
virtual FDO_API FdoConnectionState | GetConnectionState ()=0
| Gets the current state of the connection.
virtual FDO_API FdoString * | GetConnectionString ()=0
| Gets the connection string used to open a DataStore.
virtual FDO_API FdoInt32 | GetConnectionTimeout ()=0
| Gets the number of milliseconds to wait while trying to establish a connection before terminating the attempt and generating an error. If the provider does not support the timeout capability 0 will be returned.
virtual FDO_API FdoIExpressionCapabilities * | GetExpressionCapabilities ()=0
| Gets an FdoIExpressionCapabilities interface describing the provider's support for expressions.
virtual FDO_API FdoIFilterCapabilities * | GetFilterCapabilities ()=0
| Gets an FdoIFilterCapabilities interface describing the provider's support for filters.
virtual FDO_API FdoIGeometryCapabilities * | GetGeometryCapabilities ()=0
| Gets an FdoIGeometryCapabilities interface describing the provider's support for geometry.
virtual FDO_API FdoIRasterCapabilities * | GetRasterCapabilities ()=0
| Gets an FdoIRasterCapabilities interface describing the provider's support for raster images.
virtual FDO_API FdoISchemaCapabilities * | GetSchemaCapabilities ()=0
| Gets an FdoISchemaCapabilities interface describing the provider's support for the feature schema.
virtual FDO_API FdoITopologyCapabilities * | GetTopologyCapabilities ()=0
| Gets an FdoITopologyCapabilities interface describing the provider's support for topology.
virtual FDO_API FdoConnectionState | Open ()=0
| Opens a feature connection with the settings specified by the ConnectionString attribute of the provider-specific feature connection object.
virtual FDO_API void | SetConfiguration (FdoIoStream *configStream)=0
| Sets the XML configuration stream used to configure the Data Store. SetConfiguration can only be called while the connection is closed.
virtual FDO_API void | SetConnectionString (FdoString *value)=0
| Sets the connection string used to open a DataStore. SetConnectionString can only be set while the connection is closed.
virtual FDO_API void | SetConnectionTimeout (FdoInt32 value)=0
| Sets the number of milliseconds to wait while trying to establish a connection before terminating the attempt and generating an error. If the provider does not support the timeout capability then attempting to set a timeout will result in an exception.

The documentation for this class was generated from the following file:

- IConnection.h